apt: pkgAcquire::MethodConfig Struct Reference

apt 3.3.0 commandline package manager

Classes | Public Member Functions | Public Attributes | List of all members
pkgAcquire::MethodConfig Struct Reference
Acquire system {{{

Information about the properties of a single acquire method. {{{. More...

`#include <apt-pkg/acquire.h>`

## Classes
class | Private

## Public Member Functions
| MethodConfig ()
| Set up the default method parameters.
APT_HIDDEN bool | GetAuxRequests () const
APT_HIDDEN void | SetAuxRequests (bool const value)
APT_HIDDEN bool | GetSendURIEncoded () const
APT_HIDDEN void | SetSendURIEncoded (bool const value)

## Public Attributes
Private *const | d
| dpointer placeholder (for later in case we need it)
MethodConfig * | Next
| The next link on the acquire method list.
std::string | Access
| The name of this acquire method (e.g., http).
std::string | Version
| The implementation version of this acquire method.
bool | SingleInstance
| If true, only one download queue should be created for this method.
bool | Pipeline
| If true, this method supports pipelined downloading.
bool | SendConfig
| If true, the worker process should send the entire APT configuration tree to the fetch subprocess when it starts up.
bool | LocalOnly
| If true, this fetch method does not require network access; all files are to be acquired from the local disk.
bool | NeedsCleanup
| If true, the subprocess has to carry out some cleanup actions before shutting down.
bool | Removable
| If true, this fetch method acquires files from removable media.

## Detailed Description

Information about the properties of a single acquire method. {{{.

## Constructor & Destructor Documentation

## ◆ MethodConfig()

MethodConfig | ( |  | ) |

Set up the default method parameters.

All fields are initialized to NULL, "", or false as appropriate.

References d, LocalOnly, NeedsCleanup, Next, Pipeline, Removable, SendConfig, and SingleInstance.

## Member Data Documentation

## ◆ NeedsCleanup

bool NeedsCleanup

If true, the subprocess has to carry out some cleanup actions before shutting down.

For instance, the cdrom method needs to unmount the CD after it finishes.

Referenced by MethodConfig(), and pkgAcquire::Queue::Shutdown().

## ◆ Next

MethodConfig* Next

The next link on the acquire method list.

Todo
  Why not an STL container?

Referenced by pkgAcquire::GetConfig(), and MethodConfig().

The documentation for this struct was generated from the following files:

- apt-pkg/acquire.h
- apt-pkg/acquire.cc